Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class Curve

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference
              de.grogra.rgg.Curve

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable

Direct Known Subclasses:
  CurveRef

Deprecated.

    @Deprecated
    public class Curve

extends ItemReference
implements BSplineCurve

Nested Class Summary
`static class` | `Curve.Type` Deprecated.

Field Summary
`static Curve.Type` | `$TYPE` Deprecated.

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Constructor Summary
`Curve(java.lang.String name)` Deprecated.

Method Summary
`boolean` | `dependsOnContext()` Deprecated. Determines whether this object actually depends on context.
`int` | `getDegree(GraphState gs)` Deprecated.
`int` | `getDimension(GraphState gs)` Deprecated.
`float` | `getKnot(int dim, int index, GraphState gs)` Deprecated.
`ManageableType` | `getManageableType()` Deprecated.
`int` | `getSize(GraphState gs)` Deprecated.
`int` | `getVertex(float[] out, int index, GraphState gs)` Deprecated.
`boolean` | `isRational(GraphState gs)` Deprecated.
`BSplineCurve` | `resolve()` Deprecated.
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Deprecated. Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.pf.registry.ItemReference
`createItem, equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final Curve.Type $TYPE

  Deprecated.

Constructor Detail

### Curve

    public Curve(java.lang.String name)

  Deprecated.

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Deprecated.
  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDegree

    public int getDegree(GraphState gs)

  Deprecated.
  Specified by:
    `getDegree` in interface `BSplineCurve`

### getDimension

    public int getDimension(GraphState gs)

  Deprecated.
  Specified by:
    `getDimension` in interface `VertexSet`

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Deprecated.
  Specified by:
    `getKnot` in interface `KnotVector`

### getManageableType

    public ManageableType getManageableType()

  Deprecated.
  Specified by:
    `getManageableType` in interface `Manageable`

### getSize

    public int getSize(GraphState gs)

  Deprecated.
  Specified by:
    `getSize` in interface `VertexList`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Deprecated.
  Specified by:
    `getVertex` in interface `VertexSet`

### isRational

    public boolean isRational(GraphState gs)

  Deprecated.
  Specified by:
    `isRational` in interface `VertexSet`

### resolve

    public BSplineCurve resolve()

  Deprecated.

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Deprecated.
  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD